
Redmine - Feature #12734

Add table reference to textile help

2013-01-04 14:28 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Add some help for table definitions in textile help.

http://www.redmine.org/help/wiki_syntax.html

Related issues:

Related to Redmine - Feature #1575: Toolbar button to insert a table Closed 2008-07-04

Associated revisions

Revision 13762 - 2014-12-14 21:34 - Jean-Philippe Lang

Adds table reference to textile help (#12734).

Patch by Matt Wiseley.

Revision 13822 - 2015-01-03 14:35 - Toshi MARUYAMA

revert r13762 because character encodings are broken (#12734)

Revision 13825 - 2015-01-03 15:59 - Toshi MARUYAMA

Adds table reference to textile help (#12734).

Patch by Matt Wiseley.

History

#1 - 2013-01-07 04:29 - Toshi MARUYAMA

- Category set to Documentation

#2 - 2014-12-13 23:38 - Matt Wiseley

- File issue-12734.patch added

Attached is a patch that adds a Tables section to all of the wiki_syntax.html files.

#3 - 2014-12-14 14:28 - Jean-Philippe Lang

Thanks for the patch but it seems the example is wrong:

|_ A |_ B |_ C |_ D |

| 1 | 2 |/2 span 2 |

 renders as:

_ A _ B _ C _ D

1 2 /2 span 2

Table headers need a dot after the underscore. The slash is used for rowspan, and the backslash for colspan and they need a dot too. The example

should be something like:

|_. A |_. B |_. C |_. D |

| 1 | 2 | 3 | 4 |

|/2. rowspan | 2 |\2. colspan |
| 2 | 3 | 4 |

 which renders as:

A B C D

1 2 3 4

rowspan 2 colspan

2 3 4

#4 - 2014-12-14 14:29 - Jean-Philippe Lang

Textile reference for tables: http://redcloth.org/hobix.com/textile/#tables

#5 - 2014-12-14 20:28 - Matt Wiseley

- File issue-12734.patch added

My apologies. The hand-coded table next to the example fooled me into thinking the example worked and I forgot to actually run it through Textile.

I've attached a new patch file that adds rowspan and has been tested in Redmine's Textile engine.

#6 - 2014-12-14 21:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Patch committed, thanks!

#7 - 2015-01-03 13:18 - Toshi MARUYAMA

- Status changed from Closed to Reopened

Some character encodings are broken.

#8 - 2015-01-03 16:02 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Toshi MARUYAMA wrote:

Some character encodings are broken.

 Fixed by r13825.

#9 - 2015-06-30 04:05 - Go MAEDA

- Related to Feature #1575: Toolbar button to insert a table added

Files

issue-12734.patch 59.5 KB 2014-12-13 Matt Wiseley

issue-12734.patch 66.5 KB 2014-12-14 Matt Wiseley
